For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Purchase Invoice Notification Rule

Alış faturasına ait bildirim kuralını getirir.

get
Authorizations
HTTPRequired

API Key Giriniz

Path parameters
IDinteger · int32Required
Responses
200

Alış faturasına ait bildirim kuralını getirir.

application/json
IDinteger · int32Optional
RuleNamestring · nullableOptional
IsActivebooleanOptional
get/Notification/Purchase/{ID}
GET /einvoice/Notification/Purchase/{ID} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "ID": 1,
    "RuleName": "text",
    "IsActive": true,
    "RuleList": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "text",
        "ValueSecond": "text"
      }
    ],
    "ContactList": [
      {
        "NotificationValue": "text",
        "NotificationValueType": "Whatsapp"
      }
    ]
  }
]
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/einvoice/Notification/Purchase/1", Method.Get);
request.AddHeader("Authorization", "Bearer <API KEY>");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Notification/Purchase/1',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated